<?php   

$lzFitnessSliderSingleChoice = getFitnessPostsType('slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'lz_fitness_premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk Premium' ),
        'panel' => 'lz_fitness_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'premium_slider_show_content',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'premium_slider_show_content',
		array(
			'settings'      => 'premium_slider_show_content',
			'section'       => 'lz_fitness_premium_slider_section',
			'label'         => __( 'Hide Title and description on slider', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			),
		)
	)
);

$wp_customize->add_setting('lz_fitness_premium_slider_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Info_Text( 
		$wp_customize,
		'lz_fitness_premium_slider_section_lbl',
		array(
			'settings'		=> 'lz_fitness_premium_slider_section_lbl',
			'section'		=> 'lz_fitness_premium_slider_section',
			'label'			=> __( 'Note:', 'Luzuk Premium' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 1900X600', 'Luzuk Premium' ),
		)
	)
);


// to show & hide another button
// $wp_customize->add_setting( 'hexagonsliderhomepsecanimation_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'hexagonsliderhomepsecanimation_button_display', array( 'label' => 'Animation Display Setting', 'section' => 'lz_fitness_premium_slider_section', 'settings' => 'hexagonsliderhomepsecanimation_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Start animation', 'hide' => 'Stop Animation', ), ) ); 
// // end to show & hide button

// addColorPalatOption($wp_customize, 'lz_fitness_hexagonsliderhomepsecanimation_animationboxColor', 'lz_fitness_premium_slider_section', 'Select animated box color','#e7ccf7');



// to show & hide another button
// $wp_customize->add_setting( 'hexagonsliderhomepsectrishape_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'hexagonsliderhomepsectrishape_button_display', array( 'label' => 'Show/Hide Slider Shape:', 'section' => 'lz_fitness_premium_slider_section', 'settings' => 'hexagonsliderhomepsectrishape_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Slider Circular Shape', 'hide' => 'Hide Slider Circular Shape', ), ) ); 
// end to show & hide button



addColorPalatOption($wp_customize, 'slider_overlaycompletebgsColor', 'lz_fitness_premium_slider_section', 'Slider Complete Background Color', '#ffefe8'); 

addColorPalatOption($wp_customize, 'slider_rightbgsColor', 'lz_fitness_premium_slider_section', 'Slider Right Box Background Color', '#5938a3');

addColorPalatOption($wp_customize, 'slider_TitleColor', 'lz_fitness_premium_slider_section', 'Slider Title Color', '#ffb901');
addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'lz_fitness_premium_slider_section', 'Slider Sub Title Color', '#6b44c3');
addColorPalatOption($wp_customize, 'slider_HighlightTitleColor', 'lz_fitness_premium_slider_section', 'Slider Text Color', '#000');


addColorPalatOption($wp_customize, 'slider_rightimgbrss1clrColor1', 'lz_fitness_premium_slider_section', 'Slider Image Border1 Gradiant Color 1', '#d8b10b ');
addColorPalatOption($wp_customize, 'slider_rightimgbrss1clrColor2', 'lz_fitness_premium_slider_section', 'Slider Image Border1 Gradiant Color 2', '#d9a20a');
addColorPalatOption($wp_customize, 'slider_rightimgbrss1clrColor3', 'lz_fitness_premium_slider_section', 'Slider Image Border1 Gradiant Color 3', '#ca880e');
addColorPalatOption($wp_customize, 'slider_rightimgbrssclrhighlightColor2', 'lz_fitness_premium_slider_section', 'Slider Image Border Color 2', '#d9d9d9');
addColorPalatOption($wp_customize, 'slider_rightimgbrssclrhighlightColor3', 'lz_fitness_premium_slider_section', 'Slider Image Border Color 2', '#fff');

addColorPalatOption($wp_customize, 'slider_imglefthexa1Color1', 'lz_fitness_premium_slider_section', 'Slider Image Hexa Left Top Color 1', '#5938a3');
addColorPalatOption($wp_customize, 'slider_imglefthexa1Color2', 'lz_fitness_premium_slider_section', 'Slider Image Hexa Left Top Color 2', '#fff');
addColorPalatOption($wp_customize, 'slider_imglefthexa1Color3', 'lz_fitness_premium_slider_section', 'Slider Image Hexa Left Top Color 3', '#5938a3');

addColorPalatOption($wp_customize, 'slider_imglefthexa2Color', 'lz_fitness_premium_slider_section', 'Slider Image Hexa Left Bottom Color', '#ffffff85');

addColorPalatOption($wp_customize, 'slider_imgrighthexa1Color1', 'lz_fitness_premium_slider_section', 'Slider Image Hexa Right Top Color 1', '#fff');
addColorPalatOption($wp_customize, 'slider_imgrighthexa1Color2', 'lz_fitness_premium_slider_section', 'Slider Image Hexa Right Top Color 2', '#5938a3');

addColorPalatOption($wp_customize, 'slider_imgrighthexa2Color', 'lz_fitness_premium_slider_section', 'Slider Image Hexa Right Bottom Color', '#fff');


lzCustomLable($wp_customize, 'lz_fitness_sliderotherclrs', 'lz_fitness_premium_slider_section', 'Set button colors:');

// Slider Button Text color
addColorPalatOption($wp_customize, 'slider_buttontextColor', 'lz_fitness_premium_slider_section', 'Slider Button Text Color', '#000');
addColorPalatOption($wp_customize, 'slider_buttontexthvrColor', 'lz_fitness_premium_slider_section', 'Slider Button Text Hover Color', '#fff');
addColorPalatOption($wp_customize, 'slider_buttonborderColor', 'lz_fitness_premium_slider_section', 'Slider Button Border Color', '#ffb901');
addColorPalatOption($wp_customize, 'slider_buttonborderhverColor', 'lz_fitness_premium_slider_section', 'Slider Button Border Hover Color', '#fff');
addColorPalatOption($wp_customize, 'slider_buttonbgsshverColor', 'lz_fitness_premium_slider_section', 'Slider Button Background Hover Color', '#6b44c5');

lzCustomLable($wp_customize, 'lz_fitness_sliderarrowbtnclrs', 'lz_fitness_premium_slider_section', 'Set Arrow Button Colors:');
addColorPalatOption($wp_customize, 'slider_buttonarrowColor', 'lz_fitness_premium_slider_section', 'Slider Arrow Button Color', '#ffb901');
addColorPalatOption($wp_customize, 'slider_buttonarrowhvrColor', 'lz_fitness_premium_slider_section', 'Slider Arrow Button Hover Color', '#000');
addColorPalatOption($wp_customize, 'slider_buttonarrowbgColor', 'lz_fitness_premium_slider_section', 'Slider Arrow Button Background Color', '#fff');
addColorPalatOption($wp_customize, 'slider_buttonarrowbghovColor', 'lz_fitness_premium_slider_section', 'Slider Arrow Button Hover Background Color', '#ffb901');

